# <img src=".repo-assets/icon.png" width=50> eldoc-frame

A simple ElDoc frontend that displays documentation in a floating child frame.

Forked from the excellent [eldoc-box](https://github.com/casouri/eldoc-box/) package.

<!-- [![MELPA](https://melpa.org/packages/mood-line-badge.svg)](https://melpa.org/#/eldoc-frame) -->
<!-- [![MELPA Stable](https://stable.melpa.org/packages/mood-line-badge.svg)](https://stable.melpa.org/#/eldoc-frame) -->

## Preview

![Preview Image](.repo-assets/preview.webp "Preview Image")

## Configuration

<!-- You can install eldoc-frame directly via `package-install` from [MELPA](https://melpa.org/). -->
<!-- After installation, you can activate it in any `eldoc-mode` buffer with `M-x eldoc-frame-mode`. -->

If you are a user of `use-package`, it is easy to configure eldoc-frame directly in your init.el:

```elisp
(use-package eldoc-frame
  :config
  (eldoc-frame-mode)
  :bind
  (:map eldoc-frame-mode-map
        ("M-<up>" . eldoc-frame-scroll-down-line)
        ("M-<down>" . eldoc-frame-scroll-up-line)))
```

## Alternatives

* [eldoc-box](https://github.com/casouri/eldoc-box):
eldoc-box implements additional features such as a hover-at-point mode and an interactive help-at-point function.

* [lsp-ui](https://github.com/emacs-lsp/lsp-ui):
Includes lsp-ui-doc, which supports rendering Markdown in child frames and WebKit widgets. Only supports
object documentation supplied by [lsp-mode](https://github.com/emacs-lsp/lsp-mode).

## Feedback

If you experience any issues with this package, please
[open an issue](https://git.tty.dog/jessieh/eldoc-frame/issues/new)
on the issue tracker.

Suggestions for improvements and feature requests are always appreciated, as well!
